<?php
$NB_QUESTIONS = 1;

class VoteParams
{
	# (opt) Id de la categorie depuis laquelle on a commencé le quiz
	# -> cas où on a plusieurs catégories, on souhaite pouvoir commencer par une au choix
	# et ensuite enchainer les catégories.
	var $catStartId;
	
	# (obl) Id de la catégorie en cours
	var $catId;
	
	# (obl) Id de la question en cours
	var $motId;
	
	# (obl) indice de la question en cours
	# -> cas où les questions sont ordonnées
	# il faut modifier la méthode "setToNextQuestion" pour ne plus utiliser un système à questions ordonnées
	var $q;
	
	# (opt) score du joueur
	var $sco;
	
	# (opt) Nom de la categorie en cours
	var $catName;
	
	var $uid;
	
	function VoteParams($catStartId, $catId, $motId, $q, $sco, $catName, $uid)
	{
		global $MAX_QUIZ_SCORES;
		
		$this->catStartId = $catStartId;
		$this->catId = $catId;
		$this->motId = $motId;
		$this->q = $q;
		$this->uid = $uid;
		
		# ici on s'assure qu'il n'est pas possible d'avoir + que le score max !
		$this->sco = $sco;
		$this->catName = stripslashes($catName);
	}
	
	# retourne les paramètres en URL (méthode GET)
	function getURLParams()
	{
		return "catStartId=".$this->catStartId."&catId=".$this->catId."&motId=".$this->motId."&q=".$this->q."&sco=".$this->sco."&catName=".$this->catName."&uid=".$this->uid;
	}
	
	# retourne les paramètres en formulaire (méthode POST)
	function getPOSTParams()
	{
		return "<input type=hidden name=motId value=\"".$this->motId."\">".
			"<input type=hidden name=catId value=\"".$this->catId."\">".
			"<input type=hidden name=catStartId value=\"".$this->catStartId."\">".
			"<input type=hidden name=q value=\"".$this->q."\">".
			"<input type=hidden name=sco value=\"".$this->sco."\">".
			"<input type=hidden name=catName value=\"".$this->catName."\">".
			"<input type=hidden name=uid value=\"".$this->uid."\">";
	}
	
	# MaJ du score
	function addScore($newScore)
	{
		$this->sco .= $newScore."-";
	}
	
	# passe à la question suivante
	function setToNextQuestion()
	{
		$this->q++;
	}
	
	# RAZ de l'indice des questions
	function resetQuestion()
	{
		$this->q = 0;
	}

	function setCatId($catId)
	{
		$this->catId = $catId;
	}
	
	function setCatName($catName)
	{
		$this->catName = $catName;
	}
	
	function setMotId($motId)
	{
		$this->motId = $motId;
	}
}

?>